import request from '@/utils/request'

// 查询银行基础信息列表
export function listBankBaseInfo(query) {
  return request({
    url: '/invest/bankBaseInfo/list',
    method: 'get',
    params: query
  })
}

// 查询银行基础信息详细
export function getBankBaseInfo(id) {
  return request({
    url: '/invest/bankBaseInfo/' + id,
    method: 'get'
  })
}

// 新增银行基础信息
export function addBankBaseInfo(data) {
  return request({
    url: '/invest/bankBaseInfo',
    method: 'post',
    data
  })
}

// 修改银行基础信息
export function updateBankBaseInfo(data) {
  return request({
    url: '/invest/bankBaseInfo',
    method: 'put',
    data
  })
}

// 删除银行基础信息
export function delBankBaseInfo(id) {
  return request({
    url: '/invest/bankBaseInfo/' + id,
    method: 'delete'
  })
}
